%% Find H in time series
function [pks loc] = findH(eta)
cd ..

temp = size(eta);
if temp(2) == 1;
    eta = eta';
end

[Ac Lc] = findpeaks( eta);
[At Lt] = findpeaks(-eta); At = -At;

if     length(Ac) > length(At)
    Ac = Ac(1:end-1);
    Lc = Lc(1:end-1);
elseif length(Ac) < length(At)
    At = At(1:end-1);
    Lt = Lt(1:end-1);
end

if Lc(1) < Lt(1)
    H1   = Ac-At;                     % C to T
    H2   =     Ac(2:end)-At(1:end-1); % T to C
    temp = [Lc Lc(2:end)];
else
    H1   =  Ac(1:end-1)-At(2:end);    % C to T
    H2   =              Ac-At;        % T to C
    temp = [Lc(1:end-1) Lc];
end
[pks loc] = max([H1 H2]);
loc       = temp(loc);