%% User input %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fill in all the required field in the UI (user input) structure!
% Calls: mainRegular(UI) from directory main_functions
%% Monopile parameters
UI.h = 25;
UI.D = 6;
UI.Cm = 2;
UI.Cd = 1;
% Vertical node coordinates on tower
UI.Zvec = [-25:5:-10 -9:10 15];
% Time vector
UI.time = 100; 
UI.dt   = 1;
% wave parameters
UI.H     = 7;
UI.T     = 10;
UI.ORDER = 10;   % order of stream function wave theory
%% Wave calculation options
UI.optKine = 5;
%  1           2                 3             4             5
%linear   %linear wheeler   %stokes 3rd   %3rd wheeler  %stream function
%% Constants
UI.rho  = 1025;                      % water density [kg/m^3]
UI.g    = 9.81;                      % gravity acceleration [m/s^2];
%% Run calculation
cd main_functions
mainRegular(UI);