function Rvec = readFedemOutput(STR_FED)
% Rvec = readFedemOutput(STR_FED)
% Input:  string name of an ascii-file, without .asc
% Output: Vector of data
% Reads the output from Fedem

FID = fopen([STR_FED '.asc']);
while 1
	temp = fgetl(FID);
    temp = textscan(temp,'%f');
    temp = temp{1};
    if isempty(temp)
	else; break;
    end
end
mat = textscan(FID,'%f');
mat = mat{1};
fclose all;
Rvec = [temp(2); mat(2:2:end)];
clear mat temp FID